From 0e906fba20c786cd43ed69eb98b6fd23f4d73724 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 06 2016 13:49:12 +0000
Subject: [PATCH 525/1001] Add a runtest.sh script to run the tests properly with the right config


---

diff --git a/hubs/tests/hubs_test.cfg b/hubs/tests/hubs_test.cfg
new file mode 100644
index 0000000..66ccd47
--- /dev/null
+++ b/hubs/tests/hubs_test.cfg
@@ -0,0 +1,11 @@
+### Secret key for the Flask application
+SECRET_KEY='<The web application secret key>'
+
+### url to the database server:
+import os
+DB_URL = 'sqlite:///%s/test.db' % (os.path.dirname(os.path.abspath(__file__)))
+#DB_URL='sqlite:////tmp/fedocal_dev.sqlite'
+
+import os
+OIDC_CLIENT_SECRETS = os.path.join(os.path.dirname(
+    os.path.abspath(__file__)), 'client_secrets.json')
diff --git a/nosetests b/nosetests
new file mode 100755
index 0000000..2f5271b
--- /dev/null
+++ b/nosetests
@@ -0,0 +1,9 @@
+#!/usr/bin/env python
+# EASY-INSTALL-ENTRY-SCRIPT: 'nose==0.10.4','console_scripts','nosetests'
+__requires__ = ['nose>=0.10.4', 'SQLAlchemy >= 0.7', 'jinja2 >= 2.4']
+import sys
+from pkg_resources import load_entry_point
+
+sys.exit(
+   load_entry_point('nose>=0.10.4', 'console_scripts', 'nosetests')()
+)
diff --git a/runtest.sh b/runtest.sh
new file mode 100755
index 0000000..ad0de9c
--- /dev/null
+++ b/runtest.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+HUBS_CONFIG=`pwd`/hubs/tests/hubs_test.cfg PYTHONPATH=. ./nosetests \
+    --with-coverage --cover-erase --cover-package=hubs $*

